Create a DTS intermediate CA certificate
Roles
Analytics Events
/v1/ecosystems/certificates/ca/{dtsCaCertificateId}/intermediateCreates a DTS intermediate CA certificate, which sits between the DTS root CA certificate and the signer certificate to sign DTS signer certificates.
DTS intermediate CA certificates are only relevant when using the 3-tier certificate model, where a DTS root CA signs an intermediate CA, which in turn signs the signer certificate. They are only supported for unmanaged (external) DTS root CA certificates that have useIntermediateCa set to true. For an explanation of the 2-tier and 3-tier models and guidance on choosing between them, refer to the DTS certificates overview.
Analytic events
- ECOSYSTEM_DTS_INTERMEDIATE_CA_CERTIFICATE_CREATE_START
- ECOSYSTEM_DTS_INTERMEDIATE_CA_CERTIFICATE_CREATE_SUCCESS
- ECOSYSTEM_DTS_INTERMEDIATE_CA_CERTIFICATE_CREATE_FAIL
Authorization
bearerAuth In: header
Path Parameters
Unique identifier of the DTS root CA certificate.
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X POST "https://example.vii.au01.mattr.global/v1/ecosystems/certificates/ca/b0aae560-10e7-4247-8e96-7cdd3578a1e2/intermediate" \ -H "Content-Type: application/json" \ -d '{ "certificatePem": "string", "usages": [ "VICAL" ] }'{
"id": "782f1885-c7c2-4459-8426-b6d7c111b0b1",
"active": true,
"certificatePem": "-----BEGIN CERTIFICATE-----\nMIIDXTCCAkWgAwIBAgIJAL5...\n-----END CERTIFICATE-----",
"certificateFingerprint": "f6cad6e579d70b3973efa60624af731a580d1a11a7579e70f2f10f059dc86172",
"certificateData": {
"commonName": "example.com",
"country": "US",
"organisationName": "Example Inc.",
"notAfter": "2024-10-22T00:00:00Z",
"notBefore": "2023-10-22T00:00:00Z"
},
"usages": [
"VICAL"
],
"caCertificateId": "3c667fc8-c92c-4eee-a159-5221f574052e"
}{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}How would you rate this page?
Retrieve DTS root CA certificate revocation list GET
Retrieves revocation list for a given DTS root CA certificate. This endpoint is intended for public consumption, and as such does not require authentication.
Retrieve all DTS intermediate CA certificates under a root CA GET
Retrieves all DTS intermediate CA certificates issued under the specified DTS root CA. ### **Analytic events** * ECOSYSTEM_DTS_INTERMEDIATE_CA_CERTIFICATE_RETRIEVE_LIST_START * ECOSYSTEM_DTS_INTERMEDIATE_CA_CERTIFICATE_RETRIEVE_LIST_SUCCESS * ECOSYSTEM_DTS_INTERMEDIATE_CA_CERTIFICATE_RETRIEVE_LIST_FAIL